maxdb_real_query
maxdb_rollback
MaxDB Functions
PHP Manual

# maxdb_report

(PECL maxdb 1.0)

maxdb_report — Enables or disables internal report functions

### Description

bool maxdb_report ( int `$flags` )

### Parameters

`flags`

  One of the MAXDB_REPORT_XXX constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Procedural style

`<?php
/* activate reporting */
maxdb_report(MAXDB_REPORT_ERROR);
$link = maxdb_connect("localhost", "MONA", "RED", "DEMODB");
/* check connection */
if (maxdb_connect_errno()) {
printf("Connect failed: %s\n", maxdb_connect_error());
exit();
}
/* this query should report an error */
$result = maxdb_query($link,"SELECT Name FROM Nonexistingtable WHERE population > 50000");
maxdb_close($link);
?>`

The above example will output something similar to:

    Warning: maxdb_query(): -4004 POS(18) Unknown table name:NONEXISTINGTABLE <...>

maxdb_real_query
maxdb_rollback
MaxDB Functions
PHP Manual